import 'dart:async';
import 'dart:collection';
import 'dart:typed_data';

import 'package:flutter/services.dart';

class Handwritingprocessing {
  static const MethodChannel _channel =
      const MethodChannel('handwritingprocessing');

  static Future<String> get version async {
    final String version = await _channel.invokeMethod('version');
    return version;
  }

  static Future<dynamic> inRange(Uint8List byteData, double minh, double mins,
      double minv, double maxh, double maxs, double maxv) async {
    /// Variable to store operation result
    final dynamic result = await _channel.invokeMethod('inRange', {
      'byteData': byteData,
      'minh': minh,
      'mins': mins,
      'minv': minv,
      'maxh': maxh,
      'maxs': maxs,
      'maxv': maxv
    });
    return result;
  }

  /// B0000黑白，B0001去红，B0010去蓝，B0011去红蓝
  static Future<dynamic> handwriting(Uint8List byteData, int type) async {
    /// Variable to store operation result
    final dynamic result = await _channel.invokeMethod('handwriting', {
      'byteData': byteData,
      'type': type,
    });
    return result;
  }

  static Future<dynamic> blackWrite(Uint8List byteData) async {
    final dynamic result =
        await _channel.invokeMethod('blackWrite', {'byteData': byteData});
    return result;
  }
}
